LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   Having trouble installing ATI Proprietary Linux Driver (http://www.linuxquestions.org/questions/linux-software-2/having-trouble-installing-ati-proprietary-linux-driver-845497/)

steviebob 11-20-2010 07:27 AM

Having trouble installing ATI Proprietary Linux Driver
 
Hi, everybody. I'm having a teensy problem with installing something. About time, too, everything was going so smoothly.

Anyway, I'm trying to install the ATI Proprietary Linux Drivers so this new video card (well, I say "new" though it's actually a rather old card, a Radeon x300, but still better than my embedded gpu) that I have will be stable whenever I play some games, and I get one particular problem I'm having trouble getting around..

Code:

bash-4.1# ./ati-driver-installer-9-3-x86.x86_64.run
Created directory fglrx-install.mXfQ2B
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.593...........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
==================================================
 ATI Technologies Linux Driver Installer/Packager
==================================================
which: no XFree86 in (/usr/local/sbin:/usr/sbin:/sbin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/lib/java/bin:/usr/lib/kde4/libexec:/usr/lib/qt/bin:/usr/share/texmf/bin)

Error: ./default_policy.sh does not support version
default:v2:i686:lib::none:2.6.33.4-smp; make sure that the version is being
correctly set by --iscurrentdistro

Removing temporary directory: fglrx-install.mXfQ2B
bash-4.1#

See? I really don't know how to fix this. Completely clueless, in fact, except for maybe reinstalling XFree86 or changing the PATH env variable to something else, but I don't know what to change it to. Hm...

Anyway, any way somebody could help me?

~Steve

steviebob 11-20-2010 10:16 AM

Bump.

Anyone? I really would like to install this driver. It's a bit unstable (Okay, I admit it, extremely unstable) when playing 3D games. D:

amani 11-20-2010 10:19 AM

RTFM ...is the driver meant for your kernel?

check with ATI ... the driver is closed

replica9000 11-20-2010 12:51 PM

I'm not really familiar with Slackware, but does the installer not compile itself with the currently running kernel??

steviebob 11-20-2010 08:18 PM

I don't really know what kernel it's for, but now that you mention it, it's probably for an earlier kernel than the current one... Downgrading would probably throw everything out of whack. Hm. Well, thanks anyway.


All times are GMT -5. The time now is 07:00 PM.